Summary: A tool for file updates
Name: patch
Version: 2.7.6
Release: 4%{?dist}
License: GPLv3+
URL: https://savannah.gnu.org/projects/patch/
Source: https://ftp.gnu.org/gnu/patch/patch-%{version}.tar.xz

# patch0001 update patch from v2.7.6 to  to upstream git commit 20200514 with  
# gnulib version 20200513.
Patch0001: patch0001-update-from-patch-V2.7.6-to-upstream-V20200514.patch

BuildRequires: gcc autoconf automake make libtool
BuildRequires: libattr-devel ed
Requires: ed

%description
Patch takes a patch file containing a difference listing produced by the
diff program and applies those differences to one or more original files,
producing patched versions.


%prep
%autosetup -p1


%build
CFLAGS="${CFLAGS} -D_GNU_SOURCE";export CFLAGS 
autoreconf
%configure --disable-silent-rules
%make_build


%install
%make_install


%check
make check


%files
%license COPYING
%doc NEWS README
%{_bindir}/patch
%{_mandir}/man1/patch.1.gz


%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.7.6-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.7.6-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.7.6-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Apr 26 2022 doriscchao <doriscchao@tencent.com> - 2.7.6-1
- initial build, base version 2.7.6, update to upstream git commit 20200514 with gnulib 
  version 20200513 through patch0001.
